Prompted to Install an old LabVIEW Runtime When Launching a Recent LabVIEW on Windows 7

Updated Nov 21, 2019

Reported In

Software

  • LabVIEW 8.2 Runtime
  • LabVIEW 8.5.1 Runtime
  • LabVIEW 8.5 Runtime
  • LabVIEW 2016 Base
  • LabVIEW 2016 Full
  • LabVIEW 6.1 Runtime
  • LabVIEW 2019
  • LabVIEW 2018

Issue Details

I upgraded LabVIEW and installedĀ  a recent version (eg: 2016 Full Development System).
Now when I launch LabVIEW, a prompt appears requesting to install and configure an old LabVIEW Runtime Engine (eg: 8.5.1) from a disk. I do not have an installation disk, or the required LabVIEW Runtime Engine (8.5.1 in this case) is already installed on my computer.

Solution

  1. Uninstall the old LabVIEW Runtime Engine (eg. 8.5.1) using Microsoft Fix It Utility
  2. Restart your Computer
  3. If LabVIEW promptsĀ to install other old LabVIEW Runtime Engines, remove those from your computer as well using the same process